Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035386
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2017-02-28 16:552017-05-29 17:43
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision68a8d2bbfff5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035386: Login page needs some clean up

DescriptionThe Login page needs some clean up as it contains some old (unused) code and several elements that can be improved.

See more information here: http://wiki.openbravo.com/wiki/Projects:Login_Page_Clean_Up [^]
Steps To Reproduce.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00179803.0MP2 closedalostale Openbravo ERP Allow redirect in LoginHandler 
related to feature request 0035553 closedcaristu Openbravo ERP Improve scalability of the login process 
related to defect 0035487 closedcaristu Openbravo ERP API changes after the Login page clean up 
related to defect 0035504 closedcaristu Modules Authorize class is using a deprecated API 
related to feature request 0035622 closedinigosanchez Openbravo ERP Improve performance of the Entity Access Checker process 
related to defect 0035736 closedalostale Openbravo ERP some sqlc classes are no longer used 
related to defect 0035765 acknowledgedplatform Openbravo ERP There are some cancelled requests after login 
related to feature request 0035852 closedcaristu Openbravo ERP Add a mechanism to cache the static resources 
related to feature request 0035980 closedcaristu Openbravo ERP Improve the time spent to load the widgets after log-in 
related to defect 0036299 closedalostale Openbravo ERP many requests for standard 2.50 buttons borrow 2 connections 
related to defect 0036353 acknowledgedplatform Openbravo ERP VerticalMenu needs additional clean up 
related to defect 0036879 closedshuehner Openbravo ERP Clean-up unused Sqlc parameters related with the Login page 
related to defect 0037940 closedcaristu Openbravo ERP Clean up unused shortcuts in the Login page 
blocks design defect 0032688 acknowledgedplatform Openbravo ERP remove unused resources 
causes defect 0035763 closedcaristu Openbravo ERP User name should be retrieved using admin mode in VerticalMenu 
causes defect 0035925 closedcaristu Openbravo ERP hide forge image doesn't work in login page 
causes defect 0035966 closedcaristu Openbravo ERP Custom skins for the login page are not working 

-  Notes
(0095870)
hgbot (developer)
2017-04-06 16:41

Repository: erp/devel/pi
Changeset: 68a8d2bbfff523ea5d907e4e963ae4ff296403d7
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 06 16:26:10 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/68a8d2bbfff523ea5d907e4e963ae4ff296403d7 [^]

fixes issue 35386: Login page needs some clean up

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/LogOutActionHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-trl/src/org/openbravo/translate/RTLSkin.java
M src/org/openbravo/authentication/AuthenticationManager.java
M src/org/openbravo/authentication/basic/DefaultAuthenticationManager.java
M src/org/openbravo/base/secureApp/ErrorConnection.java
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
M src/org/openbravo/erpCommon/businessUtility/TabAttachments.java
M src/org/openbravo/erpCommon/security/Login.html
M src/org/openbravo/erpCommon/security/Login.java
M src/org/openbravo/erpCommon/security/Login_FS_RTL.html
M src/org/openbravo/erpCommon/security/Menu.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/Utility_data.xsql
M src/org/openbravo/erpCommon/utility/VerticalMenu.html
M src/org/openbravo/erpCommon/utility/VerticalMenu.java
M src/org/openbravo/erpCommon/utility/VerticalMenuLoading.html
M web/js/shortcuts.js
M web/js/utils.js
M web/skins/Default/Openbravo_ERP_250.css
A modules/org.openbravo.userinterface.skin.250to300Comp/web/org.openbravo.userinterface.skin.250to300Comp/skins/250to300Comp/loginStyles.css
A web/js/login.js
R src/org/openbravo/erpCommon/ad_forms/AlertManagement.html
R src/org/openbravo/erpCommon/ad_forms/AlertManagement.java
R src/org/openbravo/erpCommon/ad_forms/AlertManagement.xml
R src/org/openbravo/erpCommon/ad_forms/Role.html
R src/org/openbravo/erpCommon/ad_forms/Role.java
R src/org/openbravo/erpCommon/ad_forms/Role.xml
R src/org/openbravo/erpCommon/security/Login_F0.html
R src/org/openbravo/erpCommon/security/Login_F0.xml
R src/org/openbravo/erpCommon/security/Login_F1.html
R src/org/openbravo/erpCommon/security/Login_F1.xml
R src/org/openbravo/erpCommon/security/Login_Logo.html
R src/org/openbravo/erpCommon/security/Login_Logo.xml
R src/org/openbravo/erpCommon/security/Login_Options_F1.html
R src/org/openbravo/erpCommon/security/Login_Options_F1.xml
R src/org/openbravo/erpCommon/security/Login_Welcome.html
R src/org/openbravo/erpCommon/security/Login_Welcome.xml
R src/org/openbravo/erpCommon/utility/Home.html
R src/org/openbravo/erpCommon/utility/Home.java
R src/org/openbravo/erpCommon/utility/Home.xml
R src/org/openbravo/erpCommon/utility/Log.html
R src/org/openbravo/erpCommon/utility/Log.java
R src/org/openbravo/erpCommon/utility/Log.xml
R src/org/openbravo/erpCommon/utility/Menu_data.xsql
R src/org/openbravo/erpCommon/utility/VerticalMenu_data.xsql
R web/skins/Default/Login/communityBrandingBackground.png
R web/skins/Default/Login/communityBrandingBottom.png
R web/skins/Default/Login/communityBrandingTop.png
R web/skins/Default/Menu/ToolBar/iconAlert.disabled.png
R web/skins/Default/Menu/ToolBar/iconAlert.png
R web/skins/Default/Menu/ToolBar/iconAlertActive.disabled.png
R web/skins/Default/Menu/ToolBar/iconAlertActive.png
R web/skins/Default/Menu/ToolBar/iconContract.disabled.png
R web/skins/Default/Menu/ToolBar/iconContract.png
R web/skins/Default/Menu/ToolBar/iconExpand.png
R web/skins/Default/Menu/ToolBar/iconLogout.disabled.png
R web/skins/Default/Menu/ToolBar/iconLogout.png
R web/skins/Default/Menu/ToolBar/iconUser.disabled.png
---
(0095871)
hgbot (developer)
2017-04-06 16:41

Repository: erp/devel/pi
Changeset: 12e3e5c7273d3af2040a5ca3d7f6a0c1dc16d691
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 06 16:30:38 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/12e3e5c7273d3af2040a5ca3d7f6a0c1dc16d691 [^]

related to issue 35386: updated revision control number

---
M src/org/openbravo/erpCommon/security/Login.html
M web/js/utils.js
---
(0095884)
alostale (developer)
2017-04-07 08:28

reviewed within project
(0096867)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test
(0096868)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-28 16:55 caristu New Issue
2017-02-28 16:55 caristu Assigned To => caristu
2017-02-28 16:55 caristu Modules => Core
2017-02-28 16:55 caristu Triggers an Emergency Pack => No
2017-02-28 16:56 caristu Description Updated View Revisions
2017-03-06 18:30 caristu Relationship added related to 0017980
2017-03-10 17:14 caristu Relationship added related to 0035487
2017-03-14 12:06 caristu Relationship added related to 0035504
2017-03-17 10:20 caristu Relationship added related to 0035553
2017-03-21 10:07 alostale Relationship added blocks 0032688
2017-04-06 16:41 hgbot Checkin
2017-04-06 16:41 hgbot Note Added: 0095870
2017-04-06 16:41 hgbot Status new => resolved
2017-04-06 16:41 hgbot Resolution open => fixed
2017-04-06 16:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/68a8d2bbfff523ea5d907e4e963ae4ff296403d7 [^]
2017-04-06 16:41 hgbot Checkin
2017-04-06 16:41 hgbot Note Added: 0095871
2017-04-06 16:47 caristu Review Assigned To => alostale
2017-04-07 08:27 alostale Tag Attached: Performance
2017-04-07 08:28 alostale Note Added: 0095884
2017-04-07 08:28 alostale Status resolved => closed
2017-04-07 08:28 alostale Fixed in Version => 3.0PR17Q3
2017-04-07 08:28 alostale Relationship added related to 0035622
2017-04-10 09:36 alostale Relationship added related to 0035736
2017-04-12 10:30 caristu Relationship added causes 0035763
2017-04-12 11:08 caristu Relationship added related to 0035765
2017-04-27 08:38 caristu Relationship added related to 0035852
2017-05-04 10:56 alostale Relationship added causes 0035925
2017-05-10 10:13 caristu Relationship added causes 0035966
2017-05-12 08:31 caristu Relationship added related to 0035980
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096867
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096868
2017-06-20 14:50 alostale Relationship added related to 0036299
2017-06-27 08:42 caristu Relationship added related to 0036353
2017-09-18 16:21 caristu Relationship added related to 0036879
2018-02-15 18:07 caristu Relationship added related to 0037940


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker